=== debian/changelog ===
mpv (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Drop 01_spelling.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 20 Oct 2013 17:04:17 +0200

mpv (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Install sample configuration files as examples
  * Enable Lua scripting support
  * Remove copyright for talloc (not used anymore)
  * Update installed docs list
  * Update 01_spelling.patch
  * Enable VAAPI support

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 16 Oct 2013 12:38:59 +0200

mpv (0.1.7-1) unstable; urgency=low

  * New upstream release
  * Do not use python3 version of python-docutils
    (it seems to be having some trouble on the buildd)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 21 Sep 2013 11:39:51 +0200

mpv (0.1.6-1) unstable; urgency=low

  * New upstream release
  * Add 01_spelling.patch to fix spelling error found by lintian

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 14 Sep 2013 15:36:57 +0200

mpv (0.1.5-1) unstable; urgency=low

  [ Andreas Boll ]
  * Restrict wayland support to linux-any
  * Fix Vcs-Browser url

  [ Alessandro Ghedini ]
  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 07 Sep 2013 12:01:58 +0200

mpv (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 02 Sep 2013 13:10:37 +0200

mpv (0.1.3-1) unstable; urgency=low

  * New upstream release
  * Enable libpostproc support
  * Tighten Build-Depends on libav libraries

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 25 Aug 2013 10:49:15 +0200

mpv (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #719654)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 14 Aug 2013 12:28:04 +0200
