=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>
Build-Depends: debhelper (>= 9),
 ladspa-sdk,
 libasound2-dev,
 libass-dev,
 libavcodec-dev (>= 6:9~),
 libavfilter-dev (>= 6:9~),
 libavformat-dev (>= 6:9~),
 libavresample-dev (>= 6:9~),
 libavutil-dev (>= 6:9~),
 libcdio-paranoia-dev,
 libbluray-dev,
 libbs2b-dev,
 libdvdread-dev,
 libenca-dev,
 libegl1-mesa-dev [linux-any],
 libgl1-mesa-dev,
 libguess-dev,
 libjack-dev,
 libjpeg8-dev,
 liblircclient-dev,
 liblcms2-dev,
 liblua5.1-0-dev,
 libmng-dev,
 libmpg123-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpostproc-dev (>= 6:0.git20120821~),
 libpulse-dev,
 libquvi-dev,
 libsdl2-dev,
 libswscale-dev,
 libxkbcommon-dev [linux-any],
 libva-dev,
 libvdpau-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxss-dev,
 libxv-dev,
 pkg-config,
 python-docutils,
 yasm
Standards-Version: 3.9.4
Homepage: http://mpv.io/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.
