## mpv 0.2.2

=== debian/changelog ===
mpv (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Use absolute paths for (Try)Exec in mpv.desktop (Closes: #728149)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Nov 2013 12:01:35 +0100
