=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --enable-sdl2

override_dh_auto_clean:
	test -f config.mak && dh_auto_clean || true
