## mpv 0.2.3

=== debian/changelog ===
mpv (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Nov 2013 11:34:14 +0100
