=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
  libavformat-dev (>= 6:9~),
  libavresample-dev (>= 6:9~),
  libavutil-dev (>= 6:9~),
- libcdio-paranoia-dev,
  libbluray-dev,
  libbs2b-dev,
+ libcdio-paranoia-dev,
+ libdvdnav-dev,
  libdvdread-dev,
+ libegl1-mesa-dev [linux-any],
  libenca-dev,
- libegl1-mesa-dev [linux-any],
  libgl1-mesa-dev,
  libguess-dev,
  libjack-dev,
  libjpeg8-dev,
+ liblcms2-dev,
  liblircclient-dev,
- liblcms2-dev,
  liblua5.1-0-dev,
- libmng-dev,
  libmpg123-dev,
  libncurses5-dev,
  libncursesw5-dev,
@@ -34,18 +34,19 @@
  libquvi-dev,
  libsdl2-dev,
  libswscale-dev,
- libxkbcommon-dev [linux-any],
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],
  libx11-dev,
  libxinerama-dev,
+ libxkbcommon-dev [linux-any],
  libxss-dev,
  libxv-dev,
  pkg-config,
+ python,
  python-docutils,
  yasm
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mpv.io/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git
