=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	python ./waf --nocache configure \
		     --prefix=/usr       \
		     --confdir=/etc/mpv  \
		     --enable-sdl2

override_dh_auto_build:
	python ./waf --nocache build

override_dh_auto_install:
	python ./waf --nocache install --destdir=debian/mpv

override_dh_auto_clean:
	python ./waf --nocache distclean
	find . -name "*.pyc" -delete
