## mpv 0.3.4

=== wscript ===
--- 
+++ 
@@ -77,7 +77,7 @@
         'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
         'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
     }, {
-        'name': 'ebx_available',
+        'name': 'ebx-available',
         'desc': 'ebx availability',
         'func': check_cc(fragment=load_fragment('ebx.c'))
     } , {
@@ -99,6 +99,27 @@
         'req': True,
         'fmsg': 'Unable to find pthreads support.'
     }, {
+        'name': 'atomic-builtins',
+        'desc': 'compiler support for __atomic built-ins',
+        'func': check_libs(['atomic'],
+            check_statement('stdint.h',
+                'int64_t test = 0;'
+                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)'))
+    }, {
+        'name': 'sync-builtins',
+        'desc': 'compiler support for __sync built-ins',
+        'func': check_statement('stdint.h',
+                    'int64_t test = 0;'
+                    'test = __sync_add_and_fetch(&test, 1)'),
+        'deps_neg': [ 'atomic-builtins' ],
+    }, {
+        'name': 'thread-synchronization-builtins',
+        'desc': 'compiler support for usable thread synchronization built-ins',
+        'func': check_true,
+        'deps_any': ['atomic-builtins', 'sync-builtins'],
+        'req': True,
+        'fmsg': 'your compiler must support either __atomic or __sync built-ins',
+    }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
         'deps': [ 'pthreads' ],
@@ -314,6 +335,7 @@
         'name': '--libswresample',
         'desc': 'libswresample',
         'func': check_pkg_config('libswresample', '>= 0.17.102'),
+        'deps_neg': ['libavresample'],
     }, {
         'name': 'resampler',
         'desc': 'usable resampler found',
@@ -332,26 +354,3 @@
         'desc': 'libavcodec avcodec_enum_to_chroma_pos API',
         'func': check_statement('libavcodec/avcodec.h', """int x, y;
             avcodec_enum_to_chroma_pos(&x, &y, AVCHROMA_LOC_UNSPECIFIED)""",
-            use='libav')
-    }, {
-        'name': 'avutil-qp-api',
-        'desc': 'libavutil QP API',
-        'func': check_statement('libavutil/frame.h',
-                                'av_frame_get_qp_table(NULL, NULL, NULL)',
-                                use='libav')
-    }, {
-        'name': 'avutil-refcounting',
-        'desc': 'libavutil ref-counting API',
-        'func': check_statement('libavutil/frame.h', 'av_frame_unref(NULL)',
-                                use='libav'),
-    } , {
-        'name': 'av-opt-set-int-list',
-        'desc': 'libavutil av_opt_set_int_list() API',
-        'func': check_statement('libavutil/opt.h',
-                                'av_opt_set_int_list(0,0,(int*)0,0,0)',
-                                use='libav')
-    }, {
-        'name': '--libavfilter',
-        'desc': 'libavfilter',
-        'func': compose_checks(
-            check_pkg_config('libavfilter'),
