=== debian/changelog ===
mpv (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 01 Feb 2014 12:20:29 +0100

mpv (0.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 16 Jan 2014 23:34:23 +0100

mpv (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Default to gcc-4.8 on powerpcspe too (Closes: #733924)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 06 Jan 2014 21:19:23 +0100

mpv (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop 04_use-atomic-not-sync.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 01 Jan 2014 22:51:36 +0100

mpv (0.3.0-2) unstable; urgency=medium

  * Enable ALSA on Linux only (should fix FTBFS on kfreebsd)
  * Add 04_use-atomic-not-sync.patch to fix FTBFS on mips, powerpc and sparc
    (Closes: #733632)
  * Explicitly use gcc-4.8 on powerpc and sparc
  * Use waf verbose output (shows build commands)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 31 Dec 2013 12:38:24 +0100
