=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper (>= 9),
+ gcc-4.8 [powerpc powerpcspe sparc],
  ladspa-sdk,
- libasound2-dev,
+ libasound2-dev [linux-any],
  libass-dev,
  libavcodec-dev (>= 6:9~),
  libavfilter-dev (>= 6:9~),
