=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_CPU),$(filter $(DEB_HOST_ARCH_CPU),powerpc sparc))
	export CC=gcc-4.8 # fixes #73363
endif

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v --nocache configure \
		     --prefix=/usr          \
		     --confdir=/etc/mpv     \
		     --enable-sdl2

override_dh_auto_build:
	python ./waf -v --nocache build

override_dh_auto_install:
	python ./waf -v --nocache install --destdir=debian/mpv

override_dh_auto_clean:
	python ./waf -v --nocache distclean
	find . -name "*.pyc" -delete
