## mpv 0.3.7

=== wscript ===
--- 
+++ 
@@ -289,7 +289,7 @@
     }, {
         'name': '--mpg123',
         'desc': 'mpg123 support',
-        'func': check_pkg_config('libmpg123', '>= 1.2.0'),
+        'func': check_pkg_config('libmpg123', '>= 1.14.0'),
     }, {
         'name': '--ladspa',
         'desc': 'LADSPA plugin support',
